// Lichtschranke mit MH-Sensor Series
const int eingang1= 2; // D0 und D1 nicht belegen, da USB!      
const int eingang2= 3; //D2 und D3 belegen!
long start1;
long ende1;
long dauer;

void setup() {
  pinMode(eingang1, INPUT);
  pinMode(eingang2, INPUT);
  Serial.begin(9600);
  delay(100);
  Serial.println();
  Serial.println(F("start:"));
  Serial.println(F("title:Zeitmessung mit dem Arduino"));
  Serial.println(F("subtitle:Unterbrechung der Lichtschranke in s"));
  Serial.println(F("setYFormat:#0.000s"));
}

void loop() {
  while (digitalRead(eingang1) == HIGH) { };
  start1 = millis(); // misst interne Zeit 1
    Serial.println();
    Serial.println("Achtung! Messung!");
    Serial.println();
  while (digitalRead(eingang2) == HIGH) { };
  ende1=millis(); // misst interne Zeit 2
  
  dauer = ende1 - start1; // Zeitdifferenz
  float outval = (float)dauer / 1000.0f;
    Serial.print("gemessene Zeit=  ");
    Serial.print(outval,3);
    Serial.println("  sec");
}
